<?php defined('SYSPATH') or die('No direct script access.');
/*
 * This file is part of open source system FreenetIS
 * and it is released under GPLv3 licence.
 * 
 * More info about licence can be found:
 * http://www.gnu.org/licenses/gpl-3.0.html
 * 
 * More info about project can be found:
 * http://www.freenetis.org/
 * 
 */

/**
 * This upgrade is not equal to any of previos upgrades
 * 
 * @author Ondřej Fibich <ondrej.fibich@gmail.com>
 */
$upgrade_equal_to['1.1.0~alpha11'] = array();

/**
 * Whitelist (#35)
 * 
 * @author Ondřej Fibich <ondrej.fibich@gmail.com>
 */
$upgrade_sql['1.1.0~alpha11'] = array
(
	/* Create new structure */
	"CREATE TABLE `members_whitelists` (
		`id` INT(11) NOT NULL AUTO_INCREMENT,
		`member_id` INT(11) NOT NULL, 
		`permanent` TINYINT(1) NOT NULL, 
		`since` DATE NOT NULL, 
		`until` DATE NOT NULL, 
		`comment` TEXT, 
		PRIMARY KEY (`id`),
		INDEX `since_index` (`since`),
		INDEX `until` (`until`),
		FOREIGN KEY `member_id_fk` (`member_id`) REFERENCES `members` (`id`) ON DELETE CASCADE
	) ENGINE = InnoDB COMMENT = 'Redirection member white list.';",
	/* Import old data */
	// association
	"INSERT INTO `members_whitelists` (`id`, `member_id`, `permanent`, `since`, `until`)
	 SELECT NULL, m.id, 1, entrance_date AS since, '9999-12-31' AS until
	 FROM members m
	 WHERE m.id = 1",
	// add permanent whitelists from current IP address settings
	"INSERT INTO `members_whitelists` (`id`, `member_id`, `permanent`, `since`, `until`)
	 SELECT NULL, m.id, 1, '" . date('Y-m-d') . "' AS since, '9999-12-31' AS until
	 FROM (
			 SELECT me.id
			 FROM members me
			 JOIN users u ON u.member_id = me.id
			 JOIN devices d ON d.user_id = u.id
			 JOIN ifaces i ON i.device_id = d.id
			 JOIN ip_addresses ip ON ip.iface_id = i.id
			 WHERE ip.whitelisted = 1
	    UNION
			 SELECT me.id
			 FROM members me
			 JOIN ip_addresses ip ON ip.member_id = me.id
			 WHERE ip.whitelisted = 1
	    UNION
			 SELECT uu.member_id
			 FROM users uu
			 JOIN users_contacts uc ON uc.user_id = uu.id
			 WHERE uc.whitelisted = 1
	 ) m
	 GROUP BY m.id",
	// add temporal whitelists from current IP address settings (for one week)
	"INSERT INTO `members_whitelists` (`id`, `member_id`, `permanent`, `since`, `until`)
	 SELECT NULL, m.id, 0, '" . date('Y-m-d') . "' AS since, '" . date('Y-m-d', time() + 604800) . "' AS until
	 FROM (
			 SELECT me.id
			 FROM members me
			 JOIN users u ON u.member_id = me.id
			 JOIN devices d ON d.user_id = u.id
			 JOIN ifaces i ON i.device_id = d.id
			 JOIN ip_addresses ip ON ip.iface_id = i.id
			 WHERE ip.whitelisted = 2
	    UNION
			 SELECT me.id
			 FROM members me
			 JOIN ip_addresses ip ON ip.member_id = me.id
			 WHERE ip.whitelisted = 2	
	    UNION
			 SELECT uu.member_id
			 FROM users uu
			 JOIN users_contacts uc ON uc.user_id = uu.id
			 WHERE uc.whitelisted = 2		 
	 ) m
	 GROUP BY m.id",
	/* Clean old structure */
	// remove old columns
	"ALTER TABLE `ip_addresses` DROP `whitelisted`",
	"ALTER TABLE `users_contacts` DROP `whitelisted`",
	
	/* Speed enhance for member_fees */
	"ALTER TABLE `members_fees` ADD INDEX ( `activation_date` , `deactivation_date` ) ;",
);
