<?php defined('SYSPATH') or die('No direct script access.');
/*
 * This file is part of open source system FreenetIS
 * and it is released under GPLv3 licence.
 * 
 * More info about licence can be found:
 * http://www.gnu.org/licenses/gpl-3.0.html
 * 
 * More info about project can be found:
 * http://www.freenetis.org/
 * 
 */

/**
 * This upgrade is not equal to any of previos upgrades
 * 
 * @author Ondřej Fibich <ondrej.fibich@gmail.com>
 */
$upgrade_equal_to['1.1.0~alpha23'] = array();

$upgrade_sql['1.1.0~alpha23'] = array
(
	"CREATE TABLE IF NOT EXISTS `requests` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `approval_template_id` int(11) DEFAULT NULL,
  `description` mediumtext COLLATE utf8_czech_ci,
  `suggest_amount` int(11) NOT NULL COMMENT 'suggest amount by user',
  `date` date NOT NULL,
  `state` tinyint(1) NOT NULL,
  `comments_thread_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `comments_thread_id` (`comments_thread_id`),
  KEY `approval_template_id` (`approval_template_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;",

"ALTER TABLE `requests`
  ADD CONSTRAINT `requests_ibfk_3` FOREIGN KEY (`comments_thread_id`) REFERENCES `comments` (`id`) ON DELETE SET NULL,
  ADD CONSTRAINT `requests_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`),
  ADD CONSTRAINT `requests_ibfk_2` FOREIGN KEY (`approval_template_id`) REFERENCES `approval_templates` (`id`) ON DELETE SET NULL;",

"CREATE TABLE IF NOT EXISTS `watchers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `type` int(11) NOT NULL,
  `fk_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`,`type`,`fk_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;",

"ALTER TABLE `watchers`
  ADD CONSTRAINT `watchers_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`);",

"ALTER TABLE  `votes` DROP FOREIGN KEY  `votes_ibfk_2` ;",

"INSERT INTO `axo` (`id`, `section_value`, `value`, `name`) VALUES ('182', 'Requests_Controller', 'request', 'Request');",

"INSERT INTO `axo` (`id`, `section_value`, `value`, `name`) VALUES ('183', 'Requests_Controller', 'approval_template', 'Approval template of request');",

"INSERT INTO `axo` (`id`, `section_value`, `value`, `name`) VALUES ('184', 'Work_reports_Controller', 'work_report', 'Work report');",

"INSERT INTO `axo` (`id`, `section_value`, `value`, `name`) VALUES ('185', 'Work_reports_Controller', 'approval_template', 'Approval template of work report');",

"INSERT INTO `axo` (`id`, `section_value`, `value`, `name`) VALUES ('187', 'Works_Controller', 'approval_template', 'Approval template of work');",

"INSERT INTO `axo` (`id`, `section_value`, `value`, `name`) VALUES ('186', 'Comments_Controller', 'requests', 'Comments for request');",

"UPDATE  `axo` SET  `section_value` =  'Works_Controller' WHERE  `axo`.`id` = 111;",

"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`) VALUES ('38', 'Requests_Controller', 'request');",

"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`) VALUES ('38', 'Requests_Controller', 'approval_template');",

"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`) VALUES ('38', 'Work_reports_Controller', 'work_report');",

"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`) VALUES ('38', 'Work_reports_Controller', 'approval_template');",

"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`) VALUES ('38', 'Works_Controller', 'approval_template');",

"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`) VALUES ('38', 'Comments_Controller', 'requests');",

"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`) VALUES ('64', 'Requests_Controller', 'request');",

"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`) VALUES ('51', 'Requests_Controller', 'request');",

"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`) VALUES ('64', 'Work_reports_Controller', 'work_report');",

"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`) VALUES ('51', 'Work_reports_Controller', 'work_report');",

"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`) VALUES ('56', 'Work_reports_Controller', 'work_report');",

"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`) VALUES ('76', 'Comments_Controller', 'requests');",

"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`) VALUES ('51', 'Comments_Controller', 'requests');",

"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`) VALUES ('51', 'Comments_Controller', 'works');",

"UPDATE axo_map SET section_value = 'Works_Controller' WHERE section_value LIKE 'Users_Controller' AND value LIKE 'work'",
	
"INSERT INTO watchers
SELECT NULL, gam.aro_id, i.type, fk_id
FROM
(
	SELECT 1 AS type, j.id AS fk_id, j.approval_template_id
	FROM jobs j
	WHERE (state = 0 OR state = 1) AND j.job_report_id IS NULL
	UNION
	SELECT 2 AS type, job_report_id AS fk_id, j.approval_template_id
	FROM jobs j
	WHERE (state = 0 OR state = 1) AND j.job_report_id IS NOT NULL
GROUP BY job_report_id
) i
JOIN approval_templates at ON i.approval_template_id = at.id
JOIN approval_template_items ati ON ati.approval_template_id = at.id
JOIN approval_types t ON ati.approval_type_id = t.id
JOIN groups_aro_map gam ON gam.group_id = t.aro_group_id
GROUP BY fk_id, i.type, gam.aro_id"
);
