<?php defined('SYSPATH') or die('No direct script access.');
/*
 * This file is part of open source system FreenetIS
 * and it is released under GPLv3 licence.
 * 
 * More info about licence can be found:
 * http://www.gnu.org/licenses/gpl-3.0.html
 * 
 * More info about project can be found:
 * http://www.freenetis.org/
 * 
 */

/**
 * Adds field for recognization of date from which applicant is connected.
 * Adds comment to member fee.
 * 
 * @author Ondřej Fibich
 * @see #340
 * @see #322
 * @see #303
 */
$upgrade_sql['1.1.0~alpha3'] = array
(
	// Adds field for recognization of date from which applicant is connected. (#340)
	"ALTER TABLE `members` ADD `applicant_connected_from` DATE NULL DEFAULT NULL AFTER `applicant_registration_datetime`",
	// Adds comment to member fee. (#322)
	"ALTER TABLE `members_fees` ADD `comment` TEXT NOT NULL",
	
	// insert new message for approving of applicant (#303)
	"INSERT INTO `messages` (`id`, `name`, `text`, `email_text`, `sms_text`, `type`, `self_cancel`, `ignore_whitelist`) VALUES
	 (NULL, 'Application for membership approved', NULL,
	  'Hello {member_name},<br/><br/>your membership application has been approved. You are one of us from now :-)<br/><br/>Your association!',
	  NULL, 9, NULL, 1);",
	
	// insert new message for approving of applicant (#303)
	"INSERT INTO `messages` (`id`, `name`, `text`, `email_text`, `sms_text`, `type`, `self_cancel`, `ignore_whitelist`) VALUES
	 (NULL, 'Application for membership rejected', NULL,
	  'Hello {member_name},<br/><br/>your membership application has been refused. Sorry :-(',
	  NULL, 10, NULL, 1);"
);
