<?php defined('SYSPATH') or die('No direct script access.');
/*
 * This file is part of open source system FreenetIS
 * and it is released under GPLv3 licence.
 * 
 * More info about licence can be found:
 * http://www.gnu.org/licenses/gpl-3.0.html
 * 
 * More info about project can be found:
 * http://www.freenetis.org/
 * 
 */

/**
 * Adds messages for state of request for connection.
 * Adds access rights for Logs and Login logs.
 * Adds table for connection request.
 * 
 * @author Ondřej Fibich
 * @see #341
 * @see #357
 * @see #344
 */
$upgrade_sql['1.1.0~alpha4'] = array
(
	// insert new message for informating message about request for connection (#341)
	"INSERT INTO `messages` (`id`, `name`, `text`, `email_text`, `sms_text`, `type`, `self_cancel`, `ignore_whitelist`) VALUES
	 (NULL, 'Notice of adding connection request', NULL,
	  'Hello {member_name},<br /><br />your request for connection has been stored.<br /><br />Details:<br /> <br /> {comment}<br /><br />Your will be inform about approving/rejecting of your request by e-mail.<br /><br />Your association',
	  NULL, 13, NULL, 1);",
	
	// insert new message for approving of request for connection (#341)
	"INSERT INTO `messages` (`id`, `name`, `text`, `email_text`, `sms_text`, `type`, `self_cancel`, `ignore_whitelist`) VALUES
	 (NULL, 'Request for connection approved', NULL,
	  'Hello {member_name},<br/><br/>your request for connection has been approoved, details:<br/><br/>{comment}<br/><br/>Your association',
	  NULL, 11, NULL, 1);",
	
	// insert new message for approving of request for connection (#341)
	"INSERT INTO `messages` (`id`, `name`, `text`, `email_text`, `sms_text`, `type`, `self_cancel`, `ignore_whitelist`) VALUES
	 (NULL, 'Request for connection rejected', NULL,
	  'Hello {member_name},<br/><br/>your request for connection has been rejected, details:<br/><br/>{comment}<br/><br/>Your association',
	  NULL, 12, NULL, 1);",
	
	// active logs access rights (#357)
	"INSERT INTO `acl` (`id`, `note`) VALUES (NULL, 'Administrators can see logs of actions.');",
	
	"INSERT INTO `aco_map` (`acl_id` ,`value`)
		SELECT id, 'view_all' FROM acl WHERE note = 'Administrators can see logs of actions.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `aro_groups_map` (`acl_id`, `group_id`)
		SELECT id, 32 FROM acl WHERE note = 'Administrators can see logs of actions.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `axo` (`id`, `section_value`, `value`, `name`) VALUES (179, 'Logs_Controller', 'logs', 'Logs');",
	
	"INSERT INTO `axo_sections` (`id`, `value`, `name`) VALUES (29, 'Logs_Controller', 'Logs of operations on data');",
	
	"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`)
		SELECT id, 'Logs_Controller', 'logs' FROM acl WHERE note = 'Administrators can see logs of actions.' ORDER BY id DESC LIMIT 1;",
	
	// active logs access rights (#357)
	"INSERT INTO `acl` (`id`, `note`) VALUES(NULL, 'Administrators can see login logs.');",

	"INSERT INTO `acl` (`id`, `note`) VALUES(NULL, 'Users can see their login logs.');",
	
	"INSERT INTO `aco_map` (`acl_id` ,`value`)
		SELECT id, 'view_all' FROM acl WHERE note = 'Administrators can see login logs.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `aco_map` (`acl_id` ,`value`)
		SELECT id, 'view_own' FROM acl WHERE note = 'Users can see their login logs.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `aro_groups_map` (`acl_id`, `group_id`)
		SELECT id, 32 FROM acl WHERE note = 'Administrators can see login logs.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `aro_groups_map` (`acl_id`, `group_id`)
		SELECT id, 22 FROM acl WHERE note = 'Users can see their login logs.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `axo` (`id`, `section_value`, `value`, `name`) VALUES (180, 'Login_logs_Controller', 'logs', 'Login logs');",
	
	"INSERT INTO `axo_sections` (`id`, `value`, `name`) VALUES (30, 'Login_logs_Controller', 'Logs of operations on data');",
	
	"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`)
		SELECT id, 'Login_logs_Controller', 'logs' FROM acl WHERE note = 'Administrators can see login logs.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`)
		SELECT id, 'Login_logs_Controller', 'logs' FROM acl WHERE note = 'Users can see their login logs.' ORDER BY id DESC LIMIT 1;",
	
	// connection requests table (#344)
	"CREATE TABLE IF NOT EXISTS `connection_requests` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `member_id` int(11) NOT NULL COMMENT 'Owner of the connection',
	  `user_id` int(11) DEFAULT NULL COMMENT 'Who made request',
	  `state` int(11) DEFAULT 0,
	  `created_at` datetime NOT NULL,
	  `ip_address` varchar(39) COLLATE utf8_czech_ci NOT NULL,
	  `subnet_id` int(11) NOT NULL,
	  `mac_address` varchar(17) COLLATE utf8_czech_ci NOT NULL,
	  `device_type_id` int(11) DEFAULT NULL,
	  `device_template_id` int(11) DEFAULT NULL,
	  `comment` text DEFAULT NULL COMMENT 'Comment of user who made request',
	  `comments_thread_id` int(11) DEFAULT NULL,
	  PRIMARY KEY (`id`),
	  FOREIGN KEY `member_id_fk` (`member_id`) REFERENCES `members` (`id`) ON DELETE CASCADE,
	  FOREIGN KEY `user_id_fk` (`user_id`) REFERENCES `users` (`id`) ON DELETE SET NULL,
	  FOREIGN KEY `subnet_id_fk` (`subnet_id`) REFERENCES `subnets` (`id`) ON DELETE CASCADE,
	  FOREIGN KEY `device_type_id_fk` (`device_type_id`) REFERENCES `enum_types` (`id`) ON DELETE SET NULL,
	  FOREIGN KEY `device_template_id_fk` (`device_template_id`) REFERENCES `device_templates` (`id`) ON DELETE SET NULL,
	  FOREIGN KEY `comments_thread_id_fk` (`comments_thread_id`) REFERENCES `comments_threads` (`id`) ON DELETE SET NULL
	) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;",
	
	// add access rights for (#344)
	"INSERT INTO `acl` (`id`, `note`) VALUES(NULL, 'Administrators can view request and change state of connection request.');",

	"INSERT INTO `acl` (`id`, `note`) VALUES(NULL, 'Regular members and applicants can add new connection request and they can view their requests.');",
	
	"INSERT INTO `aco_map` (`acl_id` ,`value`)
		SELECT id, 'view_all' FROM acl WHERE note = 'Administrators can view request and change state of connection request.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `aco_map` (`acl_id` ,`value`)
		SELECT id, 'edit_all' FROM acl WHERE note = 'Administrators can view request and change state of connection request.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `aco_map` (`acl_id` ,`value`)
		SELECT id, 'new_own' FROM acl WHERE note = 'Regular members and applicants can add new connection request and they can view their requests.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `aco_map` (`acl_id` ,`value`)
		SELECT id, 'view_own' FROM acl WHERE note = 'Regular members and applicants can add new connection request and they can view their requests.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `aro_groups_map` (`acl_id`, `group_id`)
		SELECT id, 32 FROM acl WHERE note = 'Administrators can view request and change state of connection request.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `aro_groups_map` (`acl_id`, `group_id`)
		SELECT id, 22 FROM acl WHERE note = 'Regular members and applicants can add new connection request and they can view their requests.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `aro_groups_map` (`acl_id`, `group_id`)
		SELECT id, 23 FROM acl WHERE note = 'Regular members and applicants can add new connection request and they can view their requests.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `axo_sections` (`id`, `value`, `name`) VALUES (31, 'Connection_Requests_Controller', 'Connection requests handling');",
	
	"INSERT INTO `axo` (`id`, `section_value`, `value`, `name`) VALUES (181, 'Connection_Requests_Controller', 'request', 'Connection request');",
	
	"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`)
		SELECT id, 'Connection_Requests_Controller', 'request' FROM acl WHERE note = 'Administrators can view request and change state of connection request.' ORDER BY id DESC LIMIT 1;",
	
	"INSERT INTO `axo_map` (`acl_id`, `section_value`, `value`)
		SELECT id, 'Connection_Requests_Controller', 'request' FROM acl WHERE note = 'Regular members and applicants can add new connection request and they can view their requests.' ORDER BY id DESC LIMIT 1;",
	
);
